Notify RCS that a new product or product configuration version is available.
Tells the service a new product or product configuration version is available so it can pick it up.
Body
Body
The new carrierId, planCode, and configuration version
NewProductConfigurationVersion
Notification that a new product or product configuration version is available.
CarrierId of the planCode that has a new configuration version.
PlanCode that has a new configuration version. If this is a new planCode, latest configuration version tracking will begin for it.
The new latest configuration version for this planCode
Response
Response
The notification was received and successfully processed.
Authentication
Body
RateRead
These endpoints are intended to be consumed by the Unified Calculation Service (UCS) to provide its rate configuration data
Retrieve the parameters for a benefit
Mirrors RateReadApi::parametersForBenefit — returns every parameter defined for the benefit, keyed by parameter name
Query Parameters
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:EVGL
The Product ID
Example:EVGIUL001
The Benefit ID
Example:Base_Coverage
Response
application/json
Response
OK
Authentication
Path Parameters
Query Parameters
Retrieve the rate identifiers for a benefit
Mirrors RateReadApi::rateIdentifiersForBenefit — returns every rate identifier defined for the benefit
Query Parameters
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:EVGL
The Product ID
Example:EVGFIA001
The Benefit ID
Example:Base_Coverage
Response
application/json
Response
OK
Authentication
Path Parameters
Query Parameters
Retrieve the parameter history for a benefit
Mirrors RateReadApi::parameterHistoryForBenefit — returns every recorded historical value change for the benefit’s parameters
Query Parameters
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:EVGL
The Product ID
Example:EVGFIA001
The Benefit ID
Example:Base_Coverage
Response
application/json
Response
OK
One historical value change for a parameter, mirroring a ParamHistory.Bin record.